/**
* 2026-06-03 08:16:31 | www.dreamdesignsweb.com
*/

.contentBody {
    max-width: 832px;
}
.sectionPageHeadingHidden {
    display: none;
}

/* BEGIN: account type selection */
.groupAccountSet {
    margin: 1.5rem 0;
}
.signupTypeSet {
    display: flex;
    align-items: flex-start;
    gap: 1rem;
}
.signupTypeSet > label {
    flex: 1 1 50%;

    display: flex;
    align-items: center;
    padding: 0.75rem 0.5rem;
    border: solid 1px #c0c0c0;
    background-color: #f9f9f9;
    border-radius: 0.5rem;
}
.signupTypeSet > label:hover {
    cursor: pointer;
}
.signupTypeSet > label > p {
    margin: 0;
    pointer-events: none;
}
.signupTypeSet .signupTypeRadioSet {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    min-width: 20px;
    width: 20px;
    height: 20px;
    vertical-align: middle;
    margin-top: -2px;
    margin: -2px 10px 0 0;
    border: solid 1px #c0c0c0;
    background-color: #fff;
    border-radius: 4px;
    pointer-events: none;
}
.signupTypeSet .signupTypeRadioSet > img {
    display: none;
    width: 100%;
    height: auto;
    margin-top: -6px;
}
.signupTypeSet input[name="signupOptionRadio"] {
    display: none;
}
.signupTypeSet input[name="signupOptionRadio"]:checked ~ .signupTypeRadioSet {
    border-color: #13b313;
}
.signupTypeSet input[name="signupOptionRadio"]:checked ~ .signupTypeRadioSet > img {
    display: inline;
}
/* END: account type selection */

.socialOptionSet {
    height: auto;
    overflow: hidden;
    max-height: 300px;
    pointer-events: none;
    opacity: 0.3;
    transition: all 0.3s ease;
}
.socialOptionSetActive {
    pointer-events: all;
    opacity: 1;
}
.socialOptionSetHide {
    max-height: 0;
}
.signupOptionInstruct {
    color: #923737;
}

.orDivider {
    margin: 3rem 0 2rem 0;
    border-bottom: solid 2px #c0c0c0;
}
.orDivider > b {
    position: absolute;
    display: inline-block;
    box-sizing: border-box;
    width: 56px;
    padding: 1rem;
    line-height: 0;
    top: -1rem;
    left: 0;
    right: 0;
    margin: 0 auto;
    background-color: #fff;
}

.signupForm {
    position: relative;
    height: auto;
    max-height: 600px;
    overflow: hidden;
    transition: max-height 0.5s ease;

    @media (max-width: 600px) {
        max-height: 800px;
    }
}
.signupFormHidden {
    max-height: 0;
}
.groupUsernameNotice {
    display: none;
    margin: 0 0 10px 0;
    font-size: 14px;
    font-weight: 600;
}
.groupUsernameNoticeShow {
    display: block;
}
.signupFormSet {
    padding: 1rem 0 6.25rem;
    pointer-events: none;
    opacity: 0.3;
}
.signupFormSetActive {
    pointer-events: all;
    opacity: 1;
}
.signupFormSet fieldset {
    padding: 1rem 1rem 1.25rem 1rem;
    border: solid 1px #c0c0c0;
    border-bottom: solid 2px #cacaca;
    background-color: #fcfcfc;
}
.signupFormSet fieldset + fieldset {
    margin-top: 1rem;
}
.signupFormSet fieldset legend {
    font-size: 1.25rem;
    font-weight: 600;
    color: #333;
    padding: 0 1rem;
    background-color: transparent;
}
.signupFormSet .formRow {
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    gap: 1rem;

    @media (max-width: 600px) {
        flex-wrap: wrap;
    }
}
.signupFormSet .formRow + .formRow {
    margin-top: 1rem;
}
.signupFormSet .formRow .formCell {
    flex: 1 1 50%;
}
.signupFormSet .formRow .formCell label {
    position: relative;
    display: block;
    box-sizing: border-box;
    font-size: 0.875rem;
}
input[name='email'],
input[name='username'] {
    width: 15.625rem;
}
input::placeholder {
    color: #c0c0c0;
}
.fineprint {
    font-size: 0.688rem;

    @media (max-width: 600px) {
        margin-bottom: 0;
    }
}
.submitRow {
    padding: 1rem 0 0 0;
    text-align: center;
}
.submitRow .buttonSubmit {
    font-size: 1rem;
    border: solid 1px #666;
    border-radius: 0;
    box-shadow: unset;
}
.errorMsg {
    display: none;
}
.errorMsgShow {
    display: block;
}

.loaderWrapper {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: rgba(255, 255, 255, 0.75);
    z-index: 999;
}
.loaderWrapperShow {
    display: block;
}
.loaderWrapper .loader {
    margin: 30% auto 0;
}

.signupResults {
    width: auto;
    height: auto;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease;
}
.signupResultsShow {
    max-height: 540px;
}
.groupAccountNotice {
    padding: 1rem;
    border: solid 1px #923737;
}
.signupResults h2 > img {
    vertical-align: middle;
}
.signupResults ul {
    margin-left: 25px;
}
.signupResults .thirdPartyLine {
    display: none;
}